## ros-indigo-or-nodes 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(or_nodes)

# Set the build type.	Options are:
#	Coverage			 : w/ debug symbols, w/o optimization, w/ code-coverage
#	Debug					: w/ debug symbols, w/o optimization
#	Release				: w/o debug symbols, w/ optimization
#	RelWithDebInfo : w/ debug symbols, w/ optimization
#	MinSizeRel		 : w/o debug symbols, w/ optimization, stripped binaries

#set the default path for built executables to the "bin" directory
#set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
#set the default path for built libraries to the "lib" directory
#set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

set(CMAKE_BUILD_TYPE Release)

# TODO enable after robbie_architecture is removed
#SET(CMAKE_CXX_FLAGS "-std=c++0x")

find_package(catkin REQUIRED COMPONENTS message_generation roscpp_serialization roscpp cv_bridge tf or_msgs or_libs roslib robbie_architecture homer_nav_libs cmake_modules)

# find and activate OpenMP multicore processing standard
find_package(OpenMP)
if (OPENMP_FOUND)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
    message(STATUS "Found OpenMP")
endif()


#uncomment if you have defined messages
#rosbuild_genmsg()
#uncomment if you have defined services
#rosbuild_gensrv()

#common commands for building c++ executables and libraries
#rosbuild_add_library(${PROJECT_NAME} src/example.cpp)
#target_link_libraries(${PROJECT_NAME} another_library)
#rosbuild_add_boost_directories()
#rosbuild_link_boost(${PROJECT_NAME} thread)
#rosbuild_add_executable(example examples/example.cpp)
#target_link_libraries(example ${PROJECT_NAME})

file(MAKE_DIRECTORY images)
file(MAKE_DIRECTORY objectProperties)

# boost
set(Boost_USE_MULTITHREADED ON)
#signals regex filesystem thread date_time iostreams
find_package(Boost REQUIRED COMPONENTS system serialization date_time program_options signals timer)
set(USEPKG_INCLUDE_DIR ${Boost_INCLUDE_DIR} ${USEPKG_INCLUDE_DIR})
set(USEPKG_LIBRARIES ${Boost_LIBRARIES} ${USEPKG_LIBRARIES})


##############################################################################
# Required 3rd party
##############################################################################
find_package( OpenCV REQUIRED )

catkin_package(
	INCLUDE_DIRS
		include
	CATKIN_DEPENDS
		message_runtime
		std_msgs
		sensor_msgs
		roscpp_serialization
		or_libs
		roslib
		or_msgs
	LIBRARIES
		Modules
)

# This is necessary as all ui files etc will get dumped in the bottom of the
# binary directory.
include_directories(
	${catkin_INCLUDE_DIRS}
	include
)

##############################################################################
# Sections
##############################################################################


##############################################################################
# Sources
##############################################################################

#file(GLOB_RECURSE RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} FOLLOW_SYMLINKS
#	src/main.cpp
#)
add_subdirectory(src/Modules)

##############################################################################
# Binaries
##############################################################################
	#add_executable(hfc_eval_tool
          #eval_tool/eval_tool.cpp
          #eval_tool/hough_feature_clustering.cpp)

#target_link_libraries(hfc_eval_tool ${Boost_LIBRARIES} ${catkin_LIBRARIES})

add_executable(obj_rec src/obj_rec.cpp)
add_executable(obj_learn src/obj_learn.cpp)

target_link_libraries(obj_rec
	Modules
	${Boost_LIBRARIES}
	${catkin_LIBRARIES}
)

target_link_libraries(obj_learn
	Modules
	${Boost_LIBRARIES}
	${catkin_LIBRARIES}
)

add_dependencies(obj_rec
		or_msgs_generate_messages_cpp
)

add_dependencies(obj_learn
		or_msgs_generate_messages_cpp
)

install(TARGETS obj_rec DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(TARGETS obj_learn DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/or_nodes/ DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})
