=== src/Modules/CMakeLists.txt ===
#find_package(Unicap REQUIRED)
#find_package(GeoTiff REQUIRED)
#find_package(Glib2 REQUIRED)
#find_package(PocketSphinx REQUIRED)
#find_package(KNI REQUIRED)
#find_package(Gstreamer REQUIRED)
#find_package(XmlTwo REQUIRED)
#find_package(PCL REQUIRED)
#find_package(OpenCV REQUIRED)

# QT related
#find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)
#include(${QT_USE_FILE})
#add_definitions(${QT_DEFINITIONS})

set(
	Modules_SRC
		ORControlModule.cpp
		#ORFaceLearningModule.cpp
		ORLearningModule.cpp
		ORLoaderModule.cpp
		ORMatchingModule.cpp
)

#include_directories(SYSTEM
#  ${Unicap_INCLUDE_DIR}
#  ${Glib2_INCLUDE_DIR}
#  ${PocketSphinx_INCLUDE_DIR}
#  ${QT_INCLUDE_DIR}
#  ${KNI_INCLUDE_DIR}
#  ${PCL_INCLUDE_DIR}
#  ${GeoTiff_INCLUDE_DIR}
#  ${Gstreamer_INCLUDE_DIR}
#  ${XmlTwo_INCLUDE_DIR}
#)

add_library(Modules ${Modules_SRC})

target_link_libraries(
	Modules
		${OpenCV_LIBRARIES}
		${catkin_LIBRARIES}
		flann
)

add_dependencies(
	Modules
		or_msgs_gencpp
		ptu_gencpp
)

install(TARGETS Modules DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
