=== debian/control ===
Source: ros-indigo-or-nodes
Section: misc
Priority: extra
Maintainer: Viktor Seib <vseib@uni-koblenz.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libopencv-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-cv-bridge, ros-indigo-genmsg, ros-indigo-homer-nav-libs, ros-indigo-message-generation, ros-indigo-or-libs, ros-indigo-or-msgs, ros-indigo-robbie-architecture, ros-indigo-roscpp, ros-indigo-roscpp-serialization, ros-indigo-roslang, ros-indigo-roslib, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-or-nodes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libopencv-dev, ros-indigo-cv-bridge, ros-indigo-homer-nav-libs, ros-indigo-message-runtime, ros-indigo-or-libs, ros-indigo-or-msgs, ros-indigo-robbie-architecture, ros-indigo-roscpp-serialization, ros-indigo-roslib, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Description: or_nodes
